LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Server.ServerOptions

Description

Server and client game state types and operations.

Synopsis

- data ServerOptions = ServerOptions {
  - sknowMap :: Bool
  - sknowEvents :: Bool
  - sknowItems :: Bool
  - sniff :: Bool
  - sallClear :: Bool
  - sboostRandomItem :: Bool
  - sgameMode :: Maybe (GroupName ModeKind)
  - sautomateAll :: Bool
  - skeepAutomated :: Bool
  - sdungeonRng :: Maybe SMGen
  - smainRng :: Maybe SMGen
  - snewGameSer :: Bool
  - scurChalSer :: Challenge
  - sdumpInitRngs :: Bool
  - ssavePrefixSer :: String
  - sdbgMsgSer :: Bool
  - sassertExplored :: Maybe Int
  - sshowItemSamples :: Bool
  - sstopAfterGameOver :: Bool
  - sclientOptions :: ClientOptions
  }
- data RNGs = RNGs {
  - dungeonRandomGenerator :: Maybe SMGen
  - startingRandomGenerator :: Maybe SMGen
  }
- defServerOptions :: ServerOptions

# Documentation

data ServerOptions Source #

Options that affect the behaviour of the server (including game rules).

Constructors

ServerOptions |

Fields

- sknowMap :: Bool
- sknowEvents :: Bool
- sknowItems :: Bool
- sniff :: Bool
- sallClear :: Bool
- sboostRandomItem :: Bool
- sgameMode :: Maybe (GroupName ModeKind)
- sautomateAll :: Bool
- skeepAutomated :: Bool
- sdungeonRng :: Maybe SMGen
- smainRng :: Maybe SMGen
- snewGameSer :: Bool
- scurChalSer :: Challenge
- sdumpInitRngs :: Bool
- ssavePrefixSer :: String
- sdbgMsgSer :: Bool
- sassertExplored :: Maybe Int
- sshowItemSamples :: Bool
- sstopAfterGameOver :: Bool
- sclientOptions :: ClientOptions

#### Instances

Instances details

Binary ServerOptions Source # |
Instance details Defined in Game.LambdaHack.Server.ServerOptions Methods put :: ServerOptions -> Put Source # get :: Get ServerOptions Source # putList :: [ServerOptions] -> Put Source #
Show ServerOptions Source # |
Instance details Defined in Game.LambdaHack.Server.ServerOptions Methods showsPrec :: Int -> ServerOptions -> ShowS Source # show :: ServerOptions -> String Source # showList :: [ServerOptions] -> ShowS Source #

data RNGs Source #

Constructors

RNGs |

Fields

- dungeonRandomGenerator :: Maybe SMGen
- startingRandomGenerator :: Maybe SMGen

#### Instances

Instances details

Binary RNGs Source # |
Instance details Defined in Game.LambdaHack.Server.ServerOptions Methods put :: RNGs -> Put Source # get :: Get RNGs Source # putList :: [RNGs] -> Put Source #
Show RNGs Source # |
Instance details Defined in Game.LambdaHack.Server.ServerOptions Methods showsPrec :: Int -> RNGs -> ShowS Source # show :: RNGs -> String Source # showList :: [RNGs] -> ShowS Source #

defServerOptions :: ServerOptions Source #

Default value of server options.